using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class FingerShow : MonoBehaviour
{
    private Animator m_Animator;
    
    // Start is called before the first frame update
    void Start()
    {
        m_Animator = GetComponentInChildren<Animator>();
    }
    
    
    void OnPointerDown()
    {
        GameDebug.Log($"OnPointerDown");

        if(m_Animator)
            m_Animator.Play("Click");
    }
    
    // Update is called once per frame
    void Update()
    {
        transform.position = Input.mousePosition;

        if (Input.GetMouseButtonDown(0))
        {
            OnPointerDown();
        }
    }
}
